#!/bin/bash
# Copyright (c) 2003 SuSE Linux AG, Germany.  All rights reserved.
#
# Authors: Thorsten Kukuk <kukuk@suse.de>
#
# this script use the following variable(s):
# 
# - $BUILD_DIST
#

case $BUILD_BASENAME in
   *axp*|*i386|*i686|*ia64|*ppc|*ppc64|*s390|*s390x|*x86_64)
	grep "Linux version 2.[0-5].[0-9][0-9]" /proc/version > /dev/null
	if [ $? -ne 1 ]; then
	  echo "FATAL: kernel too old, need kernel >= 2.6.4 for this package"
	  exit 1
	fi
        grep "Linux version 2.6.[0-3]-" /proc/version > /dev/null
        if [ $? -eq 0 ]; then
          echo "FATAL: kernel too old, need kernel >= 2.6.4 for this package"
          exit 1
        fi
   ;;
   *)
   ;;
esac

exit 0

